<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1OSXCocoaContext.html">OSXCocoaContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::OSXCocoaContext Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXContext.html#a39514f8cddbe370f5a92e9a5e7cc5fc5">_unregisterContext</a>()</td><td><a class="el" href="classOgre_1_1OSXContext.html">Ogre::OSXContext</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#ade09c76848c11ea4faeeeafd5b6b6961">clone</a>() const </td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#aee6efb616fe0530a9e451e8d4794a540">endCurrent</a>()</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#aade3b16193d837cf358f4269d338100a">getContext</a>()</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#a399ff71bcb3ddab15a967dc5817fb90b">getContextType</a>()</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">getInitialized</a>()</td><td><a class="el" href="classOgre_1_1GLContext.html">Ogre::GLContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#aa7aa33a7625670be4c1e85892e3f4102">getPixelFormat</a>()</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLContext.html#a18393fdc03e72d6c8c382fb919d3652a">GLContext</a>()</td><td><a class="el" href="classOgre_1_1GLContext.html">Ogre::GLContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">initialized</a></td><td><a class="el" href="classOgre_1_1GLContext.html">Ogre::GLContext</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#a16bb4bda1a2ed33afff08f6e35ab552f">mNSGLContext</a></td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#ab93a60b1be01e049e81afeccc8a255ee">mNSGLPixelFormat</a></td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#a35b15c68119023665151e9c17ab5264a">OSXCocoaContext</a>(NSOpenGLContext *context, NSOpenGLPixelFormat *pixelFormat)</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXContext.html#a962c29d9a2a4817df7c5ea229572629f">OSXContext</a>()</td><td><a class="el" href="classOgre_1_1OSXContext.html">Ogre::OSXContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">releaseContext</a>()</td><td><a class="el" href="classOgre_1_1GLContext.html">Ogre::GLContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#a06d0210c0414f2bb2d06d2f153b30a8c">setCurrent</a>()</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">setInitialized</a>()</td><td><a class="el" href="classOgre_1_1GLContext.html">Ogre::GLContext</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLContext.html#a2fb10b7b74632d2fbb9ecab4665541d3">~GLContext</a>()</td><td><a class="el" href="classOgre_1_1GLContext.html">Ogre::GLContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXCocoaContext.html#a0a0e66613d773d8fd2b96507195ff97c">~OSXCocoaContext</a>()</td><td><a class="el" href="classOgre_1_1OSXCocoaContext.html">Ogre::OSXCocoaContext</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1OSXContext.html#a47b97faa18668c1cc78e204672962fae">~OSXContext</a>()</td><td><a class="el" href="classOgre_1_1OSXContext.html">Ogre::OSXContext</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:21
</p>
</body>
</html>
